F439_CPP_TX-RX_LoRa_Project

Loading...
Searching...
No Matches
Macros | Enumerations | Functions
main.h File Reference
Firmware Architecture » Hardware Abstraction Layer

: Header for main.c file.This file contains the common defines of the application. More...

`#include "stm32f4xx_hal.h"`
Include dependency graph for main.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | SX1262_TX_ENABLE_Pin GPIO_PIN_6
#define | SX1262_TX_ENABLE_GPIO_Port GPIOF
#define | SX1262_RX_ENABLE_Pin GPIO_PIN_7
#define | SX1262_RX_ENABLE_GPIO_Port GPIOF
#define | MCO_Pin GPIO_PIN_0
#define | MCO_GPIO_Port GPIOH
#define | USB_PowerSwitchOn_Pin GPIO_PIN_6
#define | USB_PowerSwitchOn_GPIO_Port GPIOG
#define | USB_OverCurrent_Pin GPIO_PIN_7
#define | USB_OverCurrent_GPIO_Port GPIOG
#define | SX1262_CS_Pin GPIO_PIN_9
#define | SX1262_CS_GPIO_Port GPIOC
#define | SPI1_FRAM_CS_Pin GPIO_PIN_15
#define | SPI1_FRAM_CS_GPIO_Port GPIOA
#define | DIO1_LORA_Pin GPIO_PIN_10
#define | DIO1_LORA_GPIO_Port GPIOC
#define | DIO1_LORA_EXTI_IRQn EXTI15_10_IRQn
#define | SX1262_NRESET_Pin GPIO_PIN_11
#define | SX1262_NRESET_GPIO_Port GPIOC
#define | SX1262_BUSY_Pin GPIO_PIN_12
#define | SX1262_BUSY_GPIO_Port GPIOC
#define | SX1262_TX_ENABLE_Pin GPIO_PIN_6
#define | SX1262_TX_ENABLE_GPIO_Port GPIOF
#define | SX1262_RX_ENABLE_Pin GPIO_PIN_7
#define | SX1262_RX_ENABLE_GPIO_Port GPIOF
#define | MCO_Pin GPIO_PIN_0
#define | MCO_GPIO_Port GPIOH
#define | USB_PowerSwitchOn_Pin GPIO_PIN_6
#define | USB_PowerSwitchOn_GPIO_Port GPIOG
#define | USB_OverCurrent_Pin GPIO_PIN_7
#define | USB_OverCurrent_GPIO_Port GPIOG
#define | SX1262_CS_Pin GPIO_PIN_9
#define | SX1262_CS_GPIO_Port GPIOC
#define | DIO1_LORA_Pin GPIO_PIN_10
#define | DIO1_LORA_GPIO_Port GPIOC
#define | DIO1_LORA_EXTI_IRQn EXTI15_10_IRQn
#define | SX1262_NRESET_Pin GPIO_PIN_11
#define | SX1262_NRESET_GPIO_Port GPIOC
#define | SX1262_BUSY_Pin GPIO_PIN_12
#define | SX1262_BUSY_GPIO_Port GPIOC
#define | FRAM_BASE_ADDR 0x0100U
#define | FRAM_INIT_BYTES 64U
#define | Error_Handler() _Error_Handler((const char *)__FILE__, __LINE__)
#define | REDIRECT_PRINTF

## Enumerations
enum | SX1262_ROLE { SX_ROLE_RX = 0 , SX_ROLE_TX }

## Functions
void | _Error_Handler (const char *, int)
| This function is executed in case of error occurrence.

## Detailed Description

: Header for main.c file.

This file contains the common defines of the application.

Attention

Copyright (c) 2026 STMicroelectronics. All rights reserved.

This software is licensed under terms that can be found in the LICENSE file in the root directory of this software component. If no LICENSE file comes with this software, it is provided AS-IS.

## Macro Definition Documentation

## ◆ DIO1_LORA_EXTI_IRQn [1/2]

#define DIO1_LORA_EXTI_IRQn EXTI15_10_IRQn

## ◆ DIO1_LORA_EXTI_IRQn [2/2]

#define DIO1_LORA_EXTI_IRQn EXTI15_10_IRQn

## ◆ DIO1_LORA_GPIO_Port [1/2]

#define DIO1_LORA_GPIO_Port GPIOC

## ◆ DIO1_LORA_GPIO_Port [2/2]

#define DIO1_LORA_GPIO_Port GPIOC

## ◆ DIO1_LORA_Pin [1/2]

#define DIO1_LORA_Pin GPIO_PIN_10

## ◆ DIO1_LORA_Pin [2/2]

#define DIO1_LORA_Pin GPIO_PIN_10

## ◆ Error_Handler

#define Error_Handler | ( |  | ) | _Error_Handler((const char *)__FILE__, __LINE__)

## ◆ FRAM_BASE_ADDR

#define FRAM_BASE_ADDR 0x0100U

## ◆ FRAM_INIT_BYTES

#define FRAM_INIT_BYTES 64U

## ◆ MCO_GPIO_Port [1/2]

#define MCO_GPIO_Port GPIOH

## ◆ MCO_GPIO_Port [2/2]

#define MCO_GPIO_Port GPIOH

## ◆ MCO_Pin [1/2]

#define MCO_Pin GPIO_PIN_0

## ◆ MCO_Pin [2/2]

#define MCO_Pin GPIO_PIN_0

## ◆ REDIRECT_PRINTF

#define REDIRECT_PRINTF

## ◆ SPI1_FRAM_CS_GPIO_Port

#define SPI1_FRAM_CS_GPIO_Port GPIOA

## ◆ SPI1_FRAM_CS_Pin

#define SPI1_FRAM_CS_Pin GPIO_PIN_15

## ◆ SX1262_BUSY_GPIO_Port [1/2]

#define SX1262_BUSY_GPIO_Port GPIOC

## ◆ SX1262_BUSY_GPIO_Port [2/2]

#define SX1262_BUSY_GPIO_Port GPIOC

## ◆ SX1262_BUSY_Pin [1/2]

#define SX1262_BUSY_Pin GPIO_PIN_12

## ◆ SX1262_BUSY_Pin [2/2]

#define SX1262_BUSY_Pin GPIO_PIN_12

## ◆ SX1262_CS_GPIO_Port [1/2]

#define SX1262_CS_GPIO_Port GPIOC

## ◆ SX1262_CS_GPIO_Port [2/2]

#define SX1262_CS_GPIO_Port GPIOC

## ◆ SX1262_CS_Pin [1/2]

#define SX1262_CS_Pin GPIO_PIN_9

## ◆ SX1262_CS_Pin [2/2]

#define SX1262_CS_Pin GPIO_PIN_9

## ◆ SX1262_NRESET_GPIO_Port [1/2]

#define SX1262_NRESET_GPIO_Port GPIOC

## ◆ SX1262_NRESET_GPIO_Port [2/2]

#define SX1262_NRESET_GPIO_Port GPIOC

## ◆ SX1262_NRESET_Pin [1/2]

#define SX1262_NRESET_Pin GPIO_PIN_11

## ◆ SX1262_NRESET_Pin [2/2]

#define SX1262_NRESET_Pin GPIO_PIN_11

## ◆ SX1262_RX_ENABLE_GPIO_Port [1/2]

#define SX1262_RX_ENABLE_GPIO_Port GPIOF

## ◆ SX1262_RX_ENABLE_GPIO_Port [2/2]

#define SX1262_RX_ENABLE_GPIO_Port GPIOF

## ◆ SX1262_RX_ENABLE_Pin [1/2]

#define SX1262_RX_ENABLE_Pin GPIO_PIN_7

## ◆ SX1262_RX_ENABLE_Pin [2/2]

#define SX1262_RX_ENABLE_Pin GPIO_PIN_7

## ◆ SX1262_TX_ENABLE_GPIO_Port [1/2]

#define SX1262_TX_ENABLE_GPIO_Port GPIOF

## ◆ SX1262_TX_ENABLE_GPIO_Port [2/2]

#define SX1262_TX_ENABLE_GPIO_Port GPIOF

## ◆ SX1262_TX_ENABLE_Pin [1/2]

#define SX1262_TX_ENABLE_Pin GPIO_PIN_6

## ◆ SX1262_TX_ENABLE_Pin [2/2]

#define SX1262_TX_ENABLE_Pin GPIO_PIN_6

## ◆ USB_OverCurrent_GPIO_Port [1/2]

#define USB_OverCurrent_GPIO_Port GPIOG

## ◆ USB_OverCurrent_GPIO_Port [2/2]

#define USB_OverCurrent_GPIO_Port GPIOG

## ◆ USB_OverCurrent_Pin [1/2]

#define USB_OverCurrent_Pin GPIO_PIN_7

## ◆ USB_OverCurrent_Pin [2/2]

#define USB_OverCurrent_Pin GPIO_PIN_7

## ◆ USB_PowerSwitchOn_GPIO_Port [1/2]

#define USB_PowerSwitchOn_GPIO_Port GPIOG

## ◆ USB_PowerSwitchOn_GPIO_Port [2/2]

#define USB_PowerSwitchOn_GPIO_Port GPIOG

## ◆ USB_PowerSwitchOn_Pin [1/2]

#define USB_PowerSwitchOn_Pin GPIO_PIN_6

## ◆ USB_PowerSwitchOn_Pin [2/2]

#define USB_PowerSwitchOn_Pin GPIO_PIN_6

## Enumeration Type Documentation

## ◆ SX1262_ROLE

enum SX1262_ROLE

Enumerator
SX_ROLE_RX |
SX_ROLE_TX |

## Function Documentation

## ◆ _Error_Handler()

void _Error_Handler | ( | const char * | file,
|  | int | line )

This function is executed in case of error occurrence.

Parameters

  file | The file name as string.
  line | The line in file as a number.